package com.yiboshi.science.param.dto;

import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 合作单位表DTO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "合作单位表DTO")
public class ComProjectCooperativeUnitsDTO extends BaseDTO {
    /** 对象Id（项目Id/任务书Id） */
    @ApiModelProperty(value = "对象Id（项目Id/任务书Id）", position = 1)
    private String objectId;
    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 2)
    private String unitName;
    /** 地址 */
    @ApiModelProperty(value = "地址", position = 3)
    private String unitAddress;
    /** 在项目中的分工 */
    @ApiModelProperty(value = "在项目中的分工", position = 4)
    private String projectWork;
}